> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Upload Intent



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/assistant/attachments/upload-intents
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant/attachments/upload-intents:
    post:
      tags:
        - Assistant Attachments
      summary: Create Upload Intent
      operationId: AssistantAttachmentsController_createUploadIntent_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAssistantAttachmentUploadIntentDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    CreateAssistantAttachmentUploadIntentDto:
      type: object
      properties:
        filename:
          type: string
          minLength: 1
          maxLength: 255
        mimeType:
          type: string
          enum:
            - image/png
            - image/jpeg
            - image/webp
            - application/pdf
        bytes:
          type: integer
          minimum: 1
          maximum: 20971520
        checksumSha256:
          type: string
          pattern: ^[0-9a-f]{64}$
      required:
        - filename
        - mimeType
        - bytes
        - checksumSha256
      additionalProperties: false

````